GroupChannelMBean (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.tribes.group

## Interface GroupChannelMBean

- All Known Implementing Classes:
    GroupChannel

      public interface GroupChannelMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChannelListener(ChannelListener listener)`
    `void` | `addMembershipListener(MembershipListener listener)`
    `boolean` | `getHeartbeat()`
    `long` | `getHeartbeatSleeptime()`
    `Member` | `getLocalMember(boolean incAlive)`
    `Member[]` | `getMembers()`
    `boolean` | `getOptionCheck()`
    `boolean` | `hasMembers()`
    `void` | `removeChannelListener(ChannelListener listener)`
    `void` | `removeMembershipListener(MembershipListener listener)`
    `UniqueId` | `send(Member[] destination, java.io.Serializable msg, int options)`
    `UniqueId` | `send(Member[] destination, java.io.Serializable msg, int options, ErrorHandler handler)`
    `void` | `start(int svc)`
    `void` | `stop(int svc)`

- - ### Method Detail

    - #### getOptionCheck

          boolean getOptionCheck()

    - #### getHeartbeat

          boolean getHeartbeat()

    - #### getHeartbeatSleeptime

          long getHeartbeatSleeptime()

    - #### start

          void start(int svc)
              throws ChannelException

      Throws:
        `ChannelException`

    - #### stop

          void stop(int svc)
             throws ChannelException

      Throws:
        `ChannelException`

    - #### send

          UniqueId send(Member[] destination,
                        java.io.Serializable msg,
                        int options)
                 throws ChannelException

      Throws:
        `ChannelException`

    - #### send

          UniqueId send(Member[] destination,
                        java.io.Serializable msg,
                        int options,
                        ErrorHandler handler)
                 throws ChannelException

      Throws:
        `ChannelException`

    - #### addMembershipListener

          void addMembershipListener(MembershipListener listener)

    - #### addChannelListener

          void addChannelListener(ChannelListener listener)

    - #### removeMembershipListener

          void removeMembershipListener(MembershipListener listener)

    - #### removeChannelListener

          void removeChannelListener(ChannelListener listener)

    - #### hasMembers

          boolean hasMembers()

    - #### getMembers

          Member[] getMembers()

    - #### getLocalMember

          Member getLocalMember(boolean incAlive)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.